<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Input Type Submit</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <style>
      .fonts{
        font-family:sans-serif;
      }
    </style>
    <script>
function paynow(){
    var value = prompt("You Want To initiate payment if Type Yes")
    if (value=="yes")
    {
        alert("Your Payment Will initiate soon");
         window.location.href="/product";
    }
    else
    {
       window.location.href="/product";
    }
}

    </script>
</head>
<body>
  <br>  
    <br>
  <h1 style="margin-left:42%" class="fonts">Add To Cart</h1>

    <br>
      <br>
    {{if .ID }}
  <div class="w3-container">
    <div class="row">
        <div class="col-md-3">
           <div class="w3-card-4" style="width:100%">
                  <img src="{{.ProductImage}}" alt="{{.ProductImage}}" style="width:100%" >
                  <div class="w3-container w3-center">
                      <input name="id" value={{.ID}} hidden>
                      <p  class="fonts">{{.ProductName}}</p>
                      <strong><span  class="fonts">Rs {{.ProductPrice}}</span></strong>
                      <p  class="fonts">{{.Productdescription}}</p>
                      <input type="submit" value="BuyNow" class="btn btn-primary fonts" onclick="paynow()">
                  </div>
                  <br>
                </div>
              <br>
          </div>
    </div>
</div>
{{else}}
  <script>alert("no data");window.location.href="/product";</script>
{{end}}

</body>
</html>